org.h2.command.dml

## Class RunScriptCommand

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.RunScriptCommand

    public class RunScriptCommand
    extends Prepared

This class represents the statement RUNSCRIPT

### Field Summary

Fields
`protected java.io.InputStream` `in` The input stream.
`protected java.io.OutputStream` `out` The output stream.

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`RunScriptCommand(SessionLocal session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getFileName()`
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setCharset(java.nio.charset.Charset charset)`
`void` `setCipher(java.lang.String c)`
`void` `setCompressionAlgorithm(java.lang.String algorithm)`
`void` `setFileNameExpr(Expression file)`
`void` `setFrom1X()` Enables quirks for parsing scripts from H2 1.*.*.
`void` `setPassword(Expression password)`
`void` `setQuirksMode(boolean quirksMode)` Enables or disables the quirks mode.
`void` `setVariableBinary(boolean variableBinary)` Changes parsing of a BINARY data type.
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, isCacheable, isQuery, isReadOnly, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### out

    protected java.io.OutputStream out

The output stream.

#### in

    protected java.io.InputStream in

The input stream.

### Constructor Detail

#### RunScriptCommand

    public RunScriptCommand(SessionLocal session)

### Method Detail

#### update

    public long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setCharset

    public void setCharset(java.nio.charset.Charset charset)

#### setQuirksMode

    public void setQuirksMode(boolean quirksMode)

Enables or disables the quirks mode.

Parameters:
  `quirksMode` - whether quirks mode should be enabled

#### setVariableBinary

    public void setVariableBinary(boolean variableBinary)

Changes parsing of a BINARY data type.

Parameters:
  `variableBinary` - `true` to parse BINARY as VARBINARY, `false` to parse it as is

#### setFrom1X

    public void setFrom1X()

Enables quirks for parsing scripts from H2 1.*.*.

#### queryMeta

    public ResultInterface queryMeta()

Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### setCipher

    public void setCipher(java.lang.String c)

#### setPassword

    public void setPassword(Expression password)

#### setFileNameExpr

    public void setFileNameExpr(Expression file)

#### getFileName

    protected java.lang.String getFileName()

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

#### needRecompile

    public boolean needRecompile()

Description copied from class: `Prepared`
Check if the statement needs to be re-compiled.

Overrides:
  `needRecompile` in class `Prepared`
Returns:
  true if it must

#### setCompressionAlgorithm

    public void setCompressionAlgorithm(java.lang.String algorithm)